SerializableTimeSeries (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableTimeSeries

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableTimeSeries

All Implemented Interfaces:
  Serializable

    public class SerializableTimeSeries

extends Object
implements Serializable

Author:
  massi
See Also:
  Serialized Form

Constructor Summary
`SerializableTimeSeries()`
`SerializableTimeSeries(SerializableTSFilter filter, SerializableTSinfo tsMetadata)`
`SerializableTimeSeries(SerializableTSFilter filter, SerializableTSinfo tsMetadata, String csvFile)`

Method Summary
`String` | `getCsvFile()`
`SerializableTSFilter` | `getFilter()`
`SerializableTSinfo` | `getTsMetadata()`
`void` | `setCsvFile(String csvFile)`
`void` | `setFilter(SerializableTSFilter filter)`
`void` | `setTsMetadata(SerializableTSinfo tsMetadata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableTimeSeries

    public SerializableTimeSeries()

### SerializableTimeSeries

    public SerializableTimeSeries(SerializableTSFilter filter,
                                  SerializableTSinfo tsMetadata,
                                  String csvFile)

Parameters:
  `filter` - .
  `tsMetadata` - .
  `csvFile` - .

### SerializableTimeSeries

    public SerializableTimeSeries(SerializableTSFilter filter,
                                  SerializableTSinfo tsMetadata)

Parameters:
  `filter` - .
  `tsMetadata` - .

Method Detail

### getTsMetadata

    public SerializableTSinfo getTsMetadata()

  Returns:
    .

### setTsMetadata

    public void setTsMetadata(SerializableTSinfo tsMetadata)

  Parameters:
    `tsMetadata` - .

### getFilter

    public SerializableTSFilter getFilter()

  Returns:
    .

### setFilter

    public void setFilter(SerializableTSFilter filter)

  Parameters:
    `filter` - .

### getCsvFile

    public String getCsvFile()

  Returns:
    .

### setCsvFile

    public void setCsvFile(String csvFile)

  Parameters:
    `csvFile` - .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.